package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

@ApiModel
public class DrpSupplierScorePageDTO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("开始时间")
   private LocalDate startTime;
   @ApiModelProperty("结束时间")
   private LocalDate endTime;
   @ApiModelProperty("区域id")
   private List<Long> areaIdList;
   private Long areaId;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDate getStartTime() {
      return this.startTime;
   }

   public LocalDate getEndTime() {
      return this.endTime;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setStartTime(final LocalDate startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDate endTime) {
      this.endTime = endTime;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierScorePageDTO(supplierId=" + var10000 + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", areaId=" + this.getAreaId() + ")";
   }
}
